com.amazonaws.services.machinelearning.waiters

## Class AmazonMachineLearningWaiters

- java.lang.Object
- - com.amazonaws.services.machinelearning.waiters.AmazonMachineLearningWaiters

    public class AmazonMachineLearningWaiters
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`AmazonMachineLearningWaiters(AmazonMachineLearning client)` Constructs a new AmazonMachineLearningWaiters with the given client

### Method Summary

All Methods Instance Methods Concrete Methods
`Waiter<DescribeBatchPredictionsRequest>` `batchPredictionAvailable()` Builds a BatchPredictionAvailable waiter by using custom parameters waiterParameters and other parameters defined in the waiters specification, and then polls until it determines whether the resource entered the desired state or not, where polling criteria is bound by either default polling strategy or custom polling strategy.
`Waiter<DescribeDataSourcesRequest>` `dataSourceAvailable()` Builds a DataSourceAvailable waiter by using custom parameters waiterParameters and other parameters defined in the waiters specification, and then polls until it determines whether the resource entered the desired state or not, where polling criteria is bound by either default polling strategy or custom polling strategy.
`Waiter<DescribeEvaluationsRequest>` `evaluationAvailable()` Builds a EvaluationAvailable waiter by using custom parameters waiterParameters and other parameters defined in the waiters specification, and then polls until it determines whether the resource entered the desired state or not, where polling criteria is bound by either default polling strategy or custom polling strategy.
`Waiter<DescribeMLModelsRequest>` `mLModelAvailable()` Builds a MLModelAvailable waiter by using custom parameters waiterParameters and other parameters defined in the waiters specification, and then polls until it determines whether the resource entered the desired state or not, where polling criteria is bound by either default polling strategy or custom polling strategy.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AmazonMachineLearningWaiters

    public AmazonMachineLearningWaiters(AmazonMachineLearning client)

Constructs a new AmazonMachineLearningWaiters with the given client

Parameters:
  `client` - Service client

### Method Detail

#### batchPredictionAvailable

    public Waiter<DescribeBatchPredictionsRequest> batchPredictionAvailable()

Builds a BatchPredictionAvailable waiter by using custom parameters waiterParameters and other parameters defined in the waiters specification, and then polls until it determines whether the resource entered the desired state or not, where polling criteria is bound by either default polling strategy or custom polling strategy.

#### mLModelAvailable

    public Waiter<DescribeMLModelsRequest> mLModelAvailable()

Builds a MLModelAvailable waiter by using custom parameters waiterParameters and other parameters defined in the waiters specification, and then polls until it determines whether the resource entered the desired state or not, where polling criteria is bound by either default polling strategy or custom polling strategy.

#### dataSourceAvailable

    public Waiter<DescribeDataSourcesRequest> dataSourceAvailable()

Builds a DataSourceAvailable waiter by using custom parameters waiterParameters and other parameters defined in the waiters specification, and then polls until it determines whether the resource entered the desired state or not, where polling criteria is bound by either default polling strategy or custom polling strategy.

#### evaluationAvailable

    public Waiter<DescribeEvaluationsRequest> evaluationAvailable()

Builds a EvaluationAvailable waiter by using custom parameters waiterParameters and other parameters defined in the waiters specification, and then polls until it determines whether the resource entered the desired state or not, where polling criteria is bound by either default polling strategy or custom polling strategy.